require "amrita2/template"
include Amrita2

tmpl = TemplateText.new <<END
<table border='1'>
  <tr><th>name</th><th>author</th></tr>
  <tr id='table1'>
    <td id='name'></td><td id='author'></td>
  </tr>
</table>
END

data = {
   :table1=>[ 
      { :name=>"Ruby", :author=>"matz" },
      # you can use String hash key if you like
      { 'name'=>"perl", 'author'=>"Larry Wall" }, 
      { :name=>"python", :author=>"Guido van Rossum" },
   ] 
}
tmpl.expand(STDOUT, data)

__END__
<table border='1'>
  <tr><th>name</th><th>author</th></tr>
  <tr>
    <td>Ruby</td><td>matz</td>
  </tr><tr>
    <td>perl</td><td>Larry Wall</td>
  </tr><tr>
    <td>python</td><td>Guido van Rossum</td>
  </tr>
</table>

