
module Amrita2TestUtil
  PRJ_DIR = File::expand_path("~/amrita2_core")
  def get_result(dir, fname, out='')
    Dir::chdir("#{PRJ_DIR}/#{dir}") do
      IO.popen("echo #{out} | ruby -I../../lib #{fname}") do |f|
        doc = REXML::Document.new(f.read)
        doc.root
      end
    end
  end

  def get_texts(element, xpath)
    element.elements.to_a(xpath).collect do |e|
      e.text
    end
  end

  def assert_equal_x(a, s)
    s = s.gsub(/(\>)\s*(<)/) {  $1.to_s+$2.to_s }.strip
    assert_equal(a, s)
  end
end

class Test::Unit::TestCase
  include Amrita2TestUtil
end
